Package com.xebialabs.xlrelease.utils

## Class Tree.NodeOps$

- java.lang.Object
- - com.xebialabs.xlrelease.utils.Tree.NodeOps$

- Enclosing interface:
    Tree<A>

      public static class Tree.NodeOps$
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Tree.NodeOps$` | `MODULE$` | Static reference to the singleton instance of this Scala object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NodeOps$()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<A> boolean` | `equals$extension​(Tree.NodeOps<A> $this, java.lang.Object x$1)` |
    `<A> Tree.Node<A>` | `filterChildren$extension​(Tree.NodeOps<A> $this, scala.Function1<A,​java.lang.Object> f)` |
    `<A> int` | `hashCode$extension​(Tree.NodeOps<A> $this)` |
    `<B,​A> Tree.Node<B>` | `map$extension​(Tree.NodeOps<A> $this, scala.Function1<A,​B> f)` |
    `<B,​A> Tree<B>` | `unsafeFlatMap$extension​(Tree.NodeOps<A> $this, scala.Function1<Tree.Node<A>,​Tree<B>> f)` |
    `<B,​A> Tree.Node<B>` | `unsafeMap$extension​(Tree.NodeOps<A> $this, scala.Function1<Tree.Node<A>,​B> f)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MODULE$

          public static final Tree.NodeOps$ MODULE$

      Static reference to the singleton instance of this Scala object.

  - ### Constructor Detail

    - #### NodeOps$

          public NodeOps$()

  - ### Method Detail

    - #### filterChildren$extension

          public final <A> Tree.Node<A> filterChildren$extension​(Tree.NodeOps<A> $this,
                                                                 scala.Function1<A,​java.lang.Object> f)

    - #### map$extension

          public final <B,​A> Tree.Node<B> map$extension​(Tree.NodeOps<A> $this,
                                                              scala.Function1<A,​B> f)

    - #### unsafeMap$extension

          public final <B,​A> Tree.Node<B> unsafeMap$extension​(Tree.NodeOps<A> $this,
                                                                    scala.Function1<Tree.Node<A>,​B> f)

    - #### unsafeFlatMap$extension

          public final <B,​A> Tree<B> unsafeFlatMap$extension​(Tree.NodeOps<A> $this,
                                                                   scala.Function1<Tree.Node<A>,​Tree<B>> f)

    - #### hashCode$extension

          public final <A> int hashCode$extension​(Tree.NodeOps<A> $this)

    - #### equals$extension

          public final <A> boolean equals$extension​(Tree.NodeOps<A> $this,
                                                    java.lang.Object x$1)